<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Ausgaben\SammelEMail\AnTeilnehmer;

abstract class SammelEMailController extends \Kufer\Web\KuferTools\Basis\Controller\ToolController
{
  protected function getNewRequestObj()
  {
    return new SammelEMailRequest();
  }

  protected function getRequestObj()
  {
    $requestObj = $this->getNewRequestObj();
    $requestObj->knr = \GetOperations::getVarValue('knr');
    $requestObj->belegungNummern = \RequestOperations::getVarValue('belegung', array());

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new SammelEMailPresenter($pUseCaseResponse);
  }
}